Subject: Re: bug#57114: 29.0.50; texinfo-format-buffer in auth.texi leads to backtrace

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Aug 2022 07:12:19 -0700

Eli Zaretskii <[email-masked]> writes:

> Why, will it make you change your mind about texinfmt?

Should it?

> Anyway: our manuals nowadays pass the -I$(srcdir)/../emacs switch to
> makeinfo, whereas invoking texinfo-format-buffer doesn't do that.  So
> if you want it to process @include correctly, you should invoke the
> command with default-directory set to the directory of the included
> file.

Do you mean that I should do this first, before I run
`M-x texinfo-format-buffer'?

    M-: (setq default-directory (expand-file-name "../emacs/"))